import { ProxyIframe } from "common";
const globalPath = new Map([
    ['development', {
        domain: "qj.com",
        portal: "http://wrp.qj.com"
    }],
    ['lan', {
        domain: "qj.com",
        portal: "http://wrp.qj.com"
    }],
    ['pred', {
        domain: "allhome.com.cn",
        portal: "https://dmis.allhome.com.cn"
    }],
    ['production', {
        domain: "allhome.com.cn",
        portal: "https://mis.allhome.com.cn"
    }]
]);
const env = process.env.NODE_ENV;
const proxyIframe = new ProxyIframe({env,type:"child"});
try {
    proxyIframe.solve(globalPath);
} catch (error) {
    
}
proxyIframe.run("token",
                () => parent.window.globalToken,
                val => parent.window.globalToken = val);
