import userApi from '../api/user';
class User {
    constructor({ name = '', birthday = ''}) {
        this.name = name;
        this.birthday = birthday;
        this.age =  new Date().getFullYear() - new Date(this.birthday).getFullYear();
    }
    static async getUserById(id) {
        const res = await userApi.getUserById({ param: [id]});
        return new User(res);
    }
}
export default User;